=== debian/changelog ===
serd (0.30.6-1) unstable; urgency=medium

  * New upstream version 0.30.6
  * Update patchset
    + Make the build reproducible. Thanks to Chris Lamb! (Closes: #968278)

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 29 Sep 2020 22:58:43 +0200
