## serd 0.30.8

=== wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SERD_VERSION       = '0.30.6'
+SERD_VERSION       = '0.30.8'
 SERD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -42,7 +42,12 @@
 def configure(conf):
     conf.load('compiler_c', cache=True)
     conf.load('autowaf', cache=True)
-    autowaf.set_c_lang(conf, 'c99')
+
+    if conf.env.DOCS:
+        conf.load('sphinx')
+
+    if not autowaf.set_c_lang(conf, 'c11', mandatory=False):
+        autowaf.set_c_lang(conf, 'c99')
 
     if Options.options.strict:
         # Check for programs used by lint target
@@ -55,11 +60,14 @@
             'clang': [
                 '-Wno-cast-align',
                 '-Wno-cast-qual',
+                '-Wno-conversion',
                 '-Wno-covered-switch-default',
                 '-Wno-disabled-macro-expansion',
                 '-Wno-double-promotion',
                 '-Wno-format-nonliteral',
                 '-Wno-implicit-fallthrough',
+                '-Wno-nullability-extension',
+                '-Wno-nullable-to-nonnull-conversion',
                 '-Wno-padded',
                 '-Wno-reserved-id-macro',
                 '-Wno-sign-conversion',
@@ -71,8 +79,6 @@
                 '-Wno-inline',
                 '-Wno-padded',
                 '-Wno-sign-conversion',
-                '-Wno-suggest-attribute=const',
-                '-Wno-suggest-attribute=pure',
             ],
             'msvc': [
                 '/wd4061',  # enumerator in switch is not explicitly handled
@@ -91,13 +97,15 @@
             ],
             'gcc': [
                 '-Wno-bad-function-cast',
-                '-Wno-suggest-attribute=malloc'
             ],
             'msvc': [
                 '/wd4706',  # assignment within conditional expression
                 '/wd5045',  # will insert Spectre mitigation for memory load
             ],
         })
+
+        if 'mingw' in conf.env.CC[0]:
+            conf.env.append_value('CFLAGS', '-Wno-unused-macros')
 
     conf.env.update({
         'BUILD_UTILS': not Options.options.no_utils,
@@ -114,6 +122,13 @@
 
     if Options.options.largefile:
         conf.env.append_unique('DEFINES', ['_FILE_OFFSET_BITS=64'])
+
+    conf.check_function('c', 'aligned_alloc',
+                        header_name = 'stdlib.h',
+                        return_type = 'void*',
+                        arg_types   = 'size_t,size_t',
+                        define_name = 'HAVE_ALIGNED_ALLOC',
+                        mandatory   = False)
 
     if not Options.options.no_posix:
         funcs = {'posix_memalign': ('stdlib.h', 'int', 'void**,size_t,size_t'),
@@ -129,8 +144,18 @@
                                 defines     = ['_POSIX_C_SOURCE=200809L'],
                                 mandatory   = False)
 
-    autowaf.set_lib_env(conf, 'serd', SERD_VERSION)
-    conf.write_config_header('serd_config.h', remove=False)
+    # Set up environment for building/using as a subproject
+    autowaf.set_lib_env(conf, 'serd', SERD_VERSION,
+                        include_path=str(conf.path.find_node('include')))
+
+    if conf.env.BUILD_TESTS:
+        serdi_node = conf.path.get_bld().make_node('serdi_static')
+    else:
+        serdi_node = conf.path.get_bld().make_node('serdi')
+
+    conf.env.SERDI = [serdi_node.abspath()]
+
+    conf.define('SERD_NO_DEFAULT_CONFIG', 1)
 
     autowaf.display_summary(
         conf,
@@ -157,15 +182,15 @@
 def build(bld):
     # C Headers
     includedir = '${INCLUDEDIR}/serd-%s/serd' % SERD_MAJOR_VERSION
-    bld.install_files(includedir, bld.path.ant_glob('serd/*.h'))
+    bld.install_files(includedir, bld.path.ant_glob('include/serd/*.h'))
 
     # Pkgconfig file
     autowaf.build_pc(bld, 'SERD', SERD_VERSION, SERD_MAJOR_VERSION, [],
                      {'SERD_MAJOR_VERSION': SERD_MAJOR_VERSION})
 
     defines = []
-    lib_args = {'export_includes': ['.'],
-                'includes':        ['.', './src'],
+    lib_args = {'export_includes': ['include'],
+                'includes':        ['include'],
                 'cflags':          ['-fvisibility=hidden'],
                 'lib':             ['m'],
                 'vnum':            SERD_VERSION,
@@ -181,7 +206,7 @@
             source          = lib_source,
             name            = 'libserd',
             target          = 'serd-%s' % SERD_MAJOR_VERSION,
-            defines         = defines + ['SERD_SHARED', 'SERD_INTERNAL'],
+            defines         = defines + ['SERD_INTERNAL'],
             **lib_args)
 
     # Static library
@@ -190,12 +215,12 @@
             source          = lib_source,
             name            = 'libserd_static',
             target          = 'serd-%s' % SERD_MAJOR_VERSION,
-            defines         = defines + ['SERD_INTERNAL'],
+            defines         = defines + ['SERD_STATIC', 'SERD_INTERNAL'],
             **lib_args)
 
     if bld.env.BUILD_TESTS:
         coverage_flags = [''] if bld.env.NO_COVERAGE else ['--coverage']
-        test_args = {'includes':     ['.', './src'],
+        test_args = {'includes':     ['include'],
                      'cflags':       coverage_flags,
                      'linkflags':    coverage_flags,
                      'lib':          lib_args['lib'],
@@ -206,20 +231,23 @@
             source       = lib_source,
             name         = 'libserd_profiled',
             target       = 'serd_profiled',
-            defines      = defines + ['SERD_INTERNAL'],
+            defines      = defines + ['SERD_STATIC', 'SERD_INTERNAL'],
             **test_args)
 
         # Test programs
         for prog in [('serdi_static', 'src/serdi.c'),
-                     ('env_test', 'tests/env_test.c'),
-                     ('free_null_test', 'tests/free_null_test.c'),
-                     ('read_chunk_test', 'tests/read_chunk_test.c'),
-                     ('serd_test', 'tests/serd_test.c')]:
+                     ('test_env', 'test/test_env.c'),
+                     ('test_free_null', 'test/test_free_null.c'),
+                     ('test_node', 'test/test_node.c'),
+                     ('test_read_chunk', 'test/test_read_chunk.c'),
+                     ('test_reader_writer', 'test/test_reader_writer.c'),
+                     ('test_string', 'test/test_string.c'),
+                     ('test_uri', 'test/test_uri.c')]:
             bld(features     = 'c cprogram',
                 source       = prog[1],
                 use          = 'libserd_profiled',
                 target       = prog[0],
-                defines      = defines,
+                defines      = defines + ['SERD_STATIC'],
                 **test_args)
 
     # Utilities
@@ -227,7 +255,7 @@
         obj = bld(features     = 'c cprogram',
                   source       = 'src/serdi.c',
                   target       = 'serdi',
-                  includes     = ['.', './src'],
+                  includes     = ['include'],
                   use          = 'libserd',
                   lib          = lib_args['lib'],
                   install_path = '${BINDIR}')
@@ -239,13 +267,7 @@
 
     # Documentation
     if bld.env.DOCS:
-        autowaf.build_dox(bld, 'SERD', SERD_VERSION, top, out)
-        bld(features='subst',
-            source='doc/index.html.in',
-            target='doc/index.html',
-            install_path='',
-            name='index',
-            SERD_VERSION=SERD_VERSION)
+        bld.recurse('doc/c')
 
     # Man page
     bld.install_files('${MANDIR}/man1', 'doc/serdi.1')
@@ -269,6 +291,10 @@
                               "wscript",
                               "--ignore",
                               "E101,E129,W191,E221,W504,E251,E241,E741"])
+        st += subprocess.call([ctx.env.FLAKE8[0],
+                               "scripts/serd_bench.py",
+                               "--ignore",
+                               "E203"])
     else:
         Logs.warn("Not running flake8")
 
@@ -284,7 +310,9 @@
 
     if "CLANG_TIDY" in ctx.env and "clang" in ctx.env.CC[0]:
         Logs.info("Running clang-tidy")
-        sources = glob.glob('src/*.c') + glob.glob('tests/*.c')
+        sources = glob.glob('include/serd/*.h*')
+        sources += glob.glob('src/*.c')
+        sources += glob.glob('test/*.c')
         sources = list(map(os.path.abspath, sources))
         procs = []
         for source in sources:
@@ -305,29 +333,3 @@
     "builds single-file amalgamated source"
     import shutil
     import re
-    shutil.copy('serd/serd.h', 'build/serd.h')
-
-    def include_line(line):
-        return (not re.match(r'#include "[^/]*\.h"', line) and
-                not re.match('#include "serd/serd.h"', line))
-
-    with open('build/serd.c', 'w') as amalgamation:
-        amalgamation.write('/* This is amalgamated code, do not edit! */\n')
-        amalgamation.write('#include "serd.h"\n\n')
-
-        for header_path in ['src/serd_internal.h',
-                            'src/system.h',
-                            'src/byte_sink.h',
-                            'src/byte_source.h',
-                            'src/stack.h',
-                            'src/string_utils.h',
-                            'src/uri_utils.h',
-                            'src/reader.h']:
-            with open(header_path) as header:
-                for l in header:
-                    if include_line(l):
-                        amalgamation.write(l)
-
-        for f in lib_headers + lib_source:
-            with open(f) as fd:
-                amalgamation.write('\n/**\n   @file %s\n*/' % f)
