=== debian/changelog ===
serd (0.30.8-1) unstable; urgency=medium

  * New upstream version 0.30.8
  * Disable html doc build for now, missing sphinx_lv2_theme
  * Revert jquery.js linking
  * Bump S-V to 4.5.1, no changes needed
  * Refresh 1001-dont_run_ldconfig.patch
  * Drop 1002-reproducible-build.patch, obsolete now
  * d/rules: Fix the include of buildtools.mk
  * d/watch: Update pgpsigurlmangle for asc files
  * d/watch: Remove uversionmangle & dversionmangle, not needed

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 13 Jan 2021 22:42:05 +0100
