=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  debhelper-compat (= 13),
  pkg-config,
  python3:any
-Build-Depends-Indep:
- doxygen,
- graphviz
-Standards-Version: 4.5.0
+#Build-Depends-Indep:
+# doxygen,
+# graphviz
+Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/serd/
 Vcs-Git: https://salsa.debian.org/multimedia-team/serd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/serd
@@ -91,7 +91,6 @@
 Enhances:
  libserd-dev
 Depends:
- libjs-jquery,
  ${misc:Depends}
 Description: lightweight RDF syntax library - documentation
  Serd is a lightweight C library for RDF syntax which supports reading
