=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://download.drobilla.net/serd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
