## serd 0.30.10

=== wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SERD_VERSION       = '0.30.8'
+SERD_VERSION       = '0.30.10'
 SERD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -123,13 +123,6 @@
     if Options.options.largefile:
         conf.env.append_unique('DEFINES', ['_FILE_OFFSET_BITS=64'])
 
-    conf.check_function('c', 'aligned_alloc',
-                        header_name = 'stdlib.h',
-                        return_type = 'void*',
-                        arg_types   = 'size_t,size_t',
-                        define_name = 'HAVE_ALIGNED_ALLOC',
-                        mandatory   = False)
-
     if not Options.options.no_posix:
         funcs = {'posix_memalign': ('stdlib.h', 'int', 'void**,size_t,size_t'),
                  'posix_fadvise':  ('fcntl.h', 'int', 'int,off_t,off_t,int'),
@@ -267,6 +260,7 @@
 
     # Documentation
     if bld.env.DOCS:
+        bld.env.SERD_MAJOR_VERSION = SERD_MAJOR_VERSION
         bld.recurse('doc/c')
 
     # Man page
@@ -333,3 +327,9 @@
     "builds single-file amalgamated source"
     import shutil
     import re
+    shutil.copy('serd/serd.h', 'build/serd.h')
+
+    def include_line(line):
+        return (not re.match(r'#include "[^/]*\.h"', line) and
+                not re.match('#include "serd/serd.h"', line))
+
