=== debian/changelog ===
serd (0.30.10-2) unstable; urgency=medium

  * Move python3-sphinx to Build-Depends-Indep to fix Cross-Build
    (Closes: #983378) Thx to Nilesh!

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 29 Apr 2021 21:30:07 +0200

serd (0.30.10-1) unstable; urgency=medium

  * New upstream version 0.30.10
  * Re-enable and fix doc installation
  * Refresh ldconfig patch
  * Link js files from libjs-sphinxdoc & libjs-underscore
    to not install duplicates
  * Fix lintian-overrides
  * d/watch: Use pgpmode=auto instead of pgpsigurlmangle

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 23 Jan 2021 01:21:34 +0100
