=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  debhelper-compat (= 13),
  pkg-config,
  python3:any
-#Build-Depends-Indep:
-# doxygen,
-# graphviz
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+ python3-sphinx
 Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/serd/
 Vcs-Git: https://salsa.debian.org/multimedia-team/serd.git
@@ -91,6 +92,7 @@
 Enhances:
  libserd-dev
 Depends:
+ libjs-sphinxdoc (>= 3.4.3-1),
  ${misc:Depends}
 Description: lightweight RDF syntax library - documentation
  Serd is a lightweight C library for RDF syntax which supports reading
