=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 
 WAF = python3 ./waf
 
-# the documentation can not be build atm, because of missing 'sphinx_lv2_theme'
-#ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
-#CONFIGURE_EXTRA_FLAGS += --docs
-#endif
+ifeq ($(shell dpkg-query -s doxygen graphviz 1>/dev/null 2>&1 && echo yes),yes)
+CONFIGURE_EXTRA_FLAGS += --docs
+endif
 
 %:
 	dh $@
