## serd 0.30.12

=== wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SERD_VERSION       = '0.30.10'
+SERD_VERSION       = '0.30.12'
 SERD_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -61,11 +61,9 @@
                 '-Wno-cast-align',
                 '-Wno-cast-qual',
                 '-Wno-conversion',
-                '-Wno-covered-switch-default',
                 '-Wno-disabled-macro-expansion',
                 '-Wno-double-promotion',
                 '-Wno-format-nonliteral',
-                '-Wno-implicit-fallthrough',
                 '-Wno-nullability-extension',
                 '-Wno-nullable-to-nonnull-conversion',
                 '-Wno-padded',
@@ -86,6 +84,7 @@
                 '/wd4514',  # unreferenced inline function has been removed
                 '/wd4710',  # function not inlined
                 '/wd4711',  # function selected for automatic inline expansion
+                '/wd4800',  # implicit conversion from int to bool
                 '/wd4820',  # padding added after construct
                 '/wd4996',  # POSIX name for this item is deprecated
             ],
@@ -235,7 +234,8 @@
                      ('test_read_chunk', 'test/test_read_chunk.c'),
                      ('test_reader_writer', 'test/test_reader_writer.c'),
                      ('test_string', 'test/test_string.c'),
-                     ('test_uri', 'test/test_uri.c')]:
+                     ('test_uri', 'test/test_uri.c'),
+                     ('test_writer', 'test/test_writer.c')]:
             bld(features     = 'c cprogram',
                 source       = prog[1],
                 use          = 'libserd_profiled',
