=== debian/changelog ===
serd (0.30.12-1) unstable; urgency=medium

  * New upstream version 0.30.12
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself
  * Fix spelling error in man page occured -> occurred
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 30 May 2022 23:18:52 +0200
