=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  doxygen,
  graphviz,
  python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://drobilla.net/software/serd/
 Vcs-Git: https://salsa.debian.org/multimedia-team/serd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/serd
