=== debian/changelog ===
serd (0.30.14-1) unstable; urgency=medium

  * New upstream version 0.30.14
  * Build with meson
  * Drop obsolete ldconfig patch
  * Fix doc installation
  * Refresh lintian-overrides
  * d/copyright: Drop waf entry and BSD license
  * Remove obsolete d/clean

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 25 Jul 2022 14:55:30 +0200
