## serd 0.30.16

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright 2021-2022 David Robillard <d@drobilla.net>
+# SPDX-License-Identifier: 0BSD OR ISC
+
 option('docs', type: 'feature', value: 'auto', yield: true,
        description: 'Build documentation')
