=== debian/changelog ===
serd (0.30.16-1) unstable; urgency=medium

  * New upstream version 0.30.16
  * Drop spelling error patch applied by upstream

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 12 Sep 2022 23:10:04 +0200
