=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
+ meson,
  pkg-config,
  python3:any
 Build-Depends-Indep:
