## serd 0.32.0

=== debian/changelog ===
serd (0.32.0-2) unstable; urgency=medium

  * Team upload
  * debian/rules: Really fix build of documentation

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Nov 2023 00:20:54 +0100

serd (0.32.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.32.0
  * debian/control:
    - Update Homepage
    - Bump Standards-Version
    - Add sphinxygen to Build-Depends
  * debian/libserd-0-0.symbols: Add new symbol
  * debian/rules: Fix build of documentation

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 10 Nov 2023 23:53:29 +0100
