=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
- python3-sphinx
-Standards-Version: 4.6.1
-Homepage: https://drobilla.net/software/serd/
+ python3-sphinx,
+ sphinxygen
+Standards-Version: 4.6.2
+Homepage: https://drobilla.net/software/serd.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/serd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/serd
 Rules-Requires-Root: no
