=== debian/changelog ===
serd (0.32.2-1) unstable; urgency=medium

  * New upstream version 0.32.2
  * Update d/copyright years and files
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Wed, 24 Jan 2024 17:38:42 +0100
