=== debian/changelog ===
serd (0.32.4-1) unstable; urgency=medium

  * New upstream version 0.32.4
  * Change B-D and Depends for the dev package from pkg-config to pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sun, 09 Feb 2025 11:32:57 +0100
