=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
  python3:any
 Build-Depends-Indep:
  doxygen,
  graphviz,
  python3-sphinx,
  sphinxygen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://drobilla.net/software/serd.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/serd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/serd
@@ -30,7 +30,7 @@
  libserd-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Recommends:
- pkg-config
+ pkgconf
 Suggests:
  libserd-doc
 Description: lightweight RDF syntax library - development files
