=== debian/changelog ===
serd (0.32.6-1) unstable; urgency=medium

  * New upstream version 0.32.6
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Tue, 18 Nov 2025 16:20:40 +0100
