=== debian/control ===
--- 
+++ 
@@ -16,11 +16,10 @@
  graphviz,
  python3-sphinx,
  sphinxygen
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/serd.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/serd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/serd
-Rules-Requires-Root: no
 
 Package: libserd-dev
 Section: libdevel
