=== debian/watch ===
Version: 5
Pgp-Mode: auto
Source: https://download.drobilla.net/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
