## serd 0.32.8

=== debian/changelog ===
serd (0.32.8-1) unstable; urgency=medium

  * New upstream version 0.32.8
  * Remove redundant-priority-optional-field
  * Bump Standards-Version to 4.7.3
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sun, 01 Mar 2026 19:42:59 +0100
